## net.i2p.router.transport.udp
Class OutboundRefiller

    java.lang.Object
      net.i2p.router.transport.udp.OutboundRefiller

All Implemented Interfaces:
  java.lang.Runnable

public class OutboundRefiller
extends java.lang.Object
implements java.lang.Runnable

Blocking thread to grab new messages off the outbound queue and plopping them into our active pool.

Constructor Summary
`OutboundRefiller(RouterContext ctx, OutboundMessageFragments fragments, MessageQueue messages)`

Method Summary
`void` `run()`
`void` `shutdown()`
`void` `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundRefiller

    public OutboundRefiller(RouterContext ctx,
                            OutboundMessageFragments fragments,
                            MessageQueue messages)

Method Detail

### startup

    public void startup()

### shutdown

    public void shutdown()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`